/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package kr.co.kihyun.spring;

import java.util.Set;
import kr.co.kihyun.beans.entity.MoumiEntity;

/**
 *
 * @author bhs
 */
public interface MoumiDao<T extends MoumiEntity> {

	public T load(Class<T> c, Long id);

	public void store(Class<T> c, T pc);

	public Set<String> getDirtyFields();

	public void addDirtyField(String field);
}
